Vulnerability CVE-2016-10959


Published: 2019-09-16

Description:
The estatik plugin before 2.3.1 for WordPress has authenticated arbitrary file upload (exploitable with CSRF) via es_media_images[] to wp-admin/admin-ajax.php.

Type:

CWE-434

(Unrestricted Upload of File with Dangerous Type)

Vendor: Estatik
Product: Estatik 
Version:
2.3.0
2.2.3
2.2.2
2.2.1
2.2.0
2.1.0
2.0.1
2.0
1.1.1
1.0.1
1.0.0

CVSS2 => (AV:N/AC:L/Au:S/C:N/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4/10
2.9/10
8/10
Exploit range
Attack complexity
Authentication
Remote
Low
Single time
Confidentiality impact
Integrity impact
Availability impact
None
Partial
None

 References:
https://wordpress.org/plugins/estatik/#developers
https://www.pluginvulnerabilities.com/2016/08/19/authenticated-arbitrary-file-upload-vulnerability-in-estatik/

Copyright 2019, cxsecurity.com

 

Back to Top